/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.records;


import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.AnagUtilizationType;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class AnagUtilizationTypeRecord extends UpdatableRecordImpl<AnagUtilizationTypeRecord> implements Record3<String, String, String> {

    private static final long serialVersionUID = 1894804772;

    /**
     * Setter for <code>ANAG_UTILIZATION_TYPE.ID_UTILIZATION_TYPE</code>.
     */
    public void setIdUtilizationType(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>ANAG_UTILIZATION_TYPE.ID_UTILIZATION_TYPE</code>.
     */
    public String getIdUtilizationType() {
        return (String) get(0);
    }

    /**
     * Setter for <code>ANAG_UTILIZATION_TYPE.NAME</code>.
     */
    public void setName(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>ANAG_UTILIZATION_TYPE.NAME</code>.
     */
    public String getName() {
        return (String) get(1);
    }

    /**
     * Setter for <code>ANAG_UTILIZATION_TYPE.DESCRIPTION</code>.
     */
    public void setDescription(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>ANAG_UTILIZATION_TYPE.DESCRIPTION</code>.
     */
    public String getDescription() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<String> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<String, String, String> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<String, String, String> valuesRow() {
        return (Row3) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field1() {
        return AnagUtilizationType.ANAG_UTILIZATION_TYPE.ID_UTILIZATION_TYPE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return AnagUtilizationType.ANAG_UTILIZATION_TYPE.NAME;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return AnagUtilizationType.ANAG_UTILIZATION_TYPE.DESCRIPTION;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component1() {
        return getIdUtilizationType();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getName();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getDescription();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value1() {
        return getIdUtilizationType();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getName();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getDescription();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagUtilizationTypeRecord value1(String value) {
        setIdUtilizationType(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagUtilizationTypeRecord value2(String value) {
        setName(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagUtilizationTypeRecord value3(String value) {
        setDescription(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagUtilizationTypeRecord values(String value1, String value2, String value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached AnagUtilizationTypeRecord
     */
    public AnagUtilizationTypeRecord() {
        super(AnagUtilizationType.ANAG_UTILIZATION_TYPE);
    }

    /**
     * Create a detached, initialised AnagUtilizationTypeRecord
     */
    public AnagUtilizationTypeRecord(String idUtilizationType, String name, String description) {
        super(AnagUtilizationType.ANAG_UTILIZATION_TYPE);

        set(0, idUtilizationType);
        set(1, name);
        set(2, description);
    }
}
